<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Task 30.50</title>
    <!-- Nhúng thư viện boostrap -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>
</head>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
      $("#btn-continue").on("click", function (event) {
        event.preventDefault();
        onBtnContinueClick();
      });
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    //hàm xử lý khi bấm nút sign up
    function onBtnContinueClick() {
      "use strict";
      //khai báo object
      var vEmail = {
        email: "",
      };

      //b1: đọc
      getData(vEmail);

      //b2: kiểm tra
      var vIsValid = validateEmail(vEmail);
      //b3: xử lý hiển thị
      if (vIsValid) {
        showDataInConsole(vEmail);
      }
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //hàm đọc dữ liệu
    function getData(paramEmail) {
      paramEmail.email = $("#inp-email").val();
    }

    //kiêm tra email
    function validateEmail(paramEmail) {
      var vRegexStr = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
      if (paramEmail.email == "") {
        alert("chưa nhập email ...!");
        return false;
      }
      if (!vRegexStr.test(paramEmail.email)) {
        alert("email đã nhập không hợp lệ ...!");
        return false;
      }
      return true;
    }

    //hàm ghi thông tin ra console
    function showDataInConsole(paramUserDataObj) {
      console.log("email: " + paramUserDataObj.email);
    }
  </script>

<body>
    <div class="container">
        <form>
          <div class="row d-flex align-items-center min-vh-100">
            <div class="col-sm-4 text-center mx-auto my-0 jumbotron">
              <div class="mb-5">
                <h3 class="text-center">Forgot Your Password?</h3>
              </div>
  
              <div>
                <div class="form-group">
                  <p>
                    Enter your email address and we will send you instructions to
                    reset your password.
                  </p>
                </div>
                <div class="form-group">
                    <input type="email" name="emal" placeholder="Email address" id="inp-email"
                    class="form-control" value="" autocomplete="email">
                </div>
                <div class="form-group">
                  <button class="btn btn-block btn-log btn-info" id="btn-continue">
                     Continue
                  </button>
                </div>
                <div class="form-group">
                  <div class="text-center">
                    <a href="#">Back to My App</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </form>
      </div>
  
</body>
</html>